Bug 1478226 - virt-customize doesn't work after libguestfs-tools upgrade to version 1.36.3-6.el7_4.2
virt-customize doesn't work after libguestfs-tools upgrade to version 1.36.3-...
Status: CLOSED DUPLICATE of bug 1475018
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.3
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 23:09 EDT by Larry Guo
Modified: 2017-08-04 04:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 04:08:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Guo 2017-08-03 23:09:29 EDT
Description of problem:
I'm using virt-customize to modify my qcow2 file contents. But it report the following error with libguestfs-tools-1.36.3-6.el7_4.2

[   0.0] Examining the guest ...
virt-customize: error: libguestfs error: lvs: lvm lvs --help:   Invalid
units specification

If reporting bugs, run virt-customize with debugging enabled and include
the complete output:

  virt-customize -v -x [...]


My lvm version is:
lvm2-libs-2.02.166-1.el7_3.4.x86_64
lvm2-2.02.166-1.el7_3.4.x86_64

It works after I revert to libguestfs-tools-1.36.3-6.el7

Version-Release number of selected component (if applicable):
libguestfs-tools-1.36.3-6.el7_4.2

How reproducible:


Steps to Reproduce:
1. Install libguestfs-tools-1.36.3-6_el7_4.2 on redhat 7.3
2. Run the following command;
/usr/bin/virt-customize -v -x -a appos-17.07-1.x86_64.qcow2 --run-command 'touch /tmp/testfile'
3. It will failed when initializing file system

Actual results:
Failed with the following ERROR:
[   0.0] Examining the guest ...
virt-customize: error: libguestfs error: lvs: lvm lvs --help:   Invalid
units specification

If reporting bugs, run virt-customize with debugging enabled and include
the complete output:

  virt-customize -v -x [...]


Expected results:
Command executed successfully without issue, image modified

Additional info:
Failed log details:

[   0.0] Examining the guest ...
libguestfs: trace: set_verbose true
libguestfs: trace: set_verbose = 0
libguestfs: trace: set_network true
libguestfs: trace: set_network = 0
libguestfs: trace: add_drive "/var/crvmtemplate/output/appos-17.07-1.x86_64.qcow2.tmp" "readonly:false" "protocol:file" "discard:besteffort"
libguestfs: trace: add_drive = 0
libguestfs: trace: launch
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
libguestfs: trace: version
libguestfs: trace: version = <struct guestfs_version = major: 1, minor: 36, release: 3, extra: rhel=7,release=6.el7_4.2,libvirt, >
libguestfs: trace: get_backend
libguestfs: trace: get_backend = "libvirt"
libguestfs: launch: program=virt-customize
libguestfs: launch: version=1.36.3rhel=7,release=6.el7_4.2,libvirt
libguestfs: launch: backend registered: unix
libguestfs: launch: backend registered: uml
libguestfs: launch: backend registered: libvirt
libguestfs: launch: backend registered: direct
libguestfs: launch: backend=libvirt
libguestfs: launch: tmpdir=/tmp/libguestfsZa4G3s
libguestfs: launch: umask=0077
libguestfs: launch: euid=0
libguestfs: libvirt version = 3002000 (3.2.0)
libguestfs: guest random name = guestfs-xms4lr9p05etyfby
libguestfs: connect to libvirt
libguestfs: opening libvirt handle: URI = qemu:///system, auth = default+wrapper, flags = 0
libguestfs: successfully opened libvirt handle: conn = 0x16035e0
libguestfs: qemu version (reported by libvirt) = 1005003 (1.5.3)
libguestfs: get libvirt capabilities
libguestfs: parsing capabilities XML
libguestfs: trace: get_backend_setting "force_tcg"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_label"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_imagelabel"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: trace: get_backend_setting "internal_libvirt_norelabel_disks"
libguestfs: trace: get_backend_setting = NULL (error)
libguestfs: build appliance
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: begin building supermin appliance
libguestfs: run supermin
libguestfs: command: run: /usr/bin/supermin5
libguestfs: command: run: \ --build
libguestfs: command: run: \ --verbose
libguestfs: command: run: \ --if-newer
libguestfs: command: run: \ --lock /var/tmp/.guestfs-0/lock
libguestfs: command: run: \ --copy-kernel
libguestfs: command: run: \ -f ext2
libguestfs: command: run: \ --host-cpu x86_64
libguestfs: command: run: \ /usr/lib64/guestfs/supermin.d
libguestfs: command: run: \ -o /var/tmp/.guestfs-0/appliance.d
supermin: version: 5.1.16
supermin: rpm: detected RPM version 4.11
supermin: package handler: fedora/rpm
supermin: acquiring lock on /var/tmp/.guestfs-0/lock
supermin: if-newer: output does not need rebuilding
libguestfs: finished building supermin appliance
libguestfs: trace: disk_create "/tmp/libguestfsZa4G3s/overlay1" "qcow2" -1 "backingfile:/var/tmp/.guestfs-0/appliance.d/root" "backingformat:raw"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ create
libguestfs: command: run: \ -f qcow2
libguestfs: command: run: \ -o backing_file=/var/tmp/.guestfs-0/appliance.d/root,backing_fmt=raw
libguestfs: command: run: \ /tmp/libguestfsZa4G3s/overlay1
Formatting '/tmp/libguestfsZa4G3s/overlay1', fmt=qcow2 size=4294967296 backing_file='/var/tmp/.guestfs-0/appliance.d/root' backing_fmt='raw' encryption=off cluster_size=65536 lazy_refcounts=off
libguestfs: trace: disk_create = 0
libguestfs: trace: get_sockdir
libguestfs: trace: get_sockdir = "/tmp"
libguestfs: create libvirt XML
libguestfs: command: run: dmesg | grep -Eoh 'lpj=[[:digit:]]+'
libguestfs: read_lpj_from_dmesg: calculated lpj=2932498
libguestfs: trace: disk_format "/var/crvmtemplate/output/appos-17.07-1.x86_64.qcow2.tmp"
libguestfs: command: run: qemu-img
libguestfs: command: run: \ info
libguestfs: command: run: \ --output json
libguestfs: command: run: \ /dev/fd/9
libguestfs: parse_json: qemu-img info JSON output:\n{\n    "virtual-size": 21474836480, \n    "filename": "/dev/fd/9", \n    "cluster-size": 65536, \n    "format": "qcow2", \n    "actual-size": 578781184, \n    "format-specific": {\n        "type": "qcow2", \n        "data": {\n            "compat": "1.1", \n            "lazy-refcounts": false\n        }\n    }, \n    "dirty-flag": false\n}\n\n
libguestfs: trace: disk_format = "qcow2"
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: libvirt XML:\n<?xml version="1.0"?>\n<domain type="qemu" xmlns:qemu="http://libvirt.org/schemas/domain/qemu/1.0">\n  <name>guestfs-xms4lr9p05etyfby</name>\n  <memory unit="MiB">500</memory>\n  <currentMemory unit="MiB">500</currentMemory>\n  <vcpu>1</vcpu>\n  <clock offset="utc">\n    <timer name="rtc" tickpolicy="catchup"/>\n    <timer name="pit" tickpolicy="delay"/>\n    <timer name="hpet" present="no"/>\n  </clock>\n  <os>\n    <type>hvm</type>\n    <kernel>/var/tmp/.guestfs-0/appliance.d/kernel</kernel>\n    <initrd>/var/tmp/.guestfs-0/appliance.d/initrd</initrd>\n    <cmdline>panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm</cmdline>\n    <bios useserial="yes"/>\n  </os>\n  <on_reboot>destroy</on_reboot>\n  <devices>\n    <rng model="virtio">\n      <backend model="random">/dev/urandom</backend>\n    </rng>\n    <controller type="scsi" index="0" model="virtio-scsi"/>\n    <disk device="disk" type="file">\n      <source file="/var/crvmtemplate/output/appos-17.07-1.x86_64.qcow2.tmp"/>\n      <target dev="sda" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="writeback" discard="unmap"/>\n      <address type="drive" controller="0" bus="0" target="0" unit="0"/>\n    </disk>\n    <disk type="file" device="disk">\n      <source file="/tmp/libguestfsZa4G3s/overlay1"/>\n      <target dev="sdb" bus="scsi"/>\n      <driver name="qemu" type="qcow2" cache="unsafe"/>\n      <address type="drive" controller="0" bus="0" target="1" unit="0"/>\n      <shareable/>\n    </disk>\n    <serial type="unix">\n      <source mode="connect" path="/tmp/libguestfsPX8HeE/console.sock"/>\n      <target port="0"/>\n    </serial>\n    <channel type="unix">\n      <source mode="connect" path="/tmp/libguestfsPX8HeE/guestfsd.sock"/>\n      <target type="virtio" name="org.libguestfs.channel.0"/>\n    </channel>\n    <controller type="usb" model="none"/>\n    <memballoon model="none"/>\n  </devices>\n  <qemu:commandline>\n    <qemu:env name="TMPDIR" value="/var/tmp"/>\n    <qemu:arg value="-netdev"/>\n    <qemu:arg value="user,id=usernet,net=169.254.0.0/16"/>\n    <qemu:arg value="-device"/>\n    <qemu:arg value="virtio-net-pci,netdev=usernet"/>\n  </qemu:commandline>\n</domain>\n
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -R
libguestfs: command: run: \ -Z /var/tmp/.guestfs-0
libguestfs: /var/tmp/.guestfs-0:
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 appliance.d
libguestfs: -rw-r--r--. root root unconfined_u:object_r:user_tmp_t:s0 lock
libguestfs:
libguestfs: /var/tmp/.guestfs-0/appliance.d:
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 ..
libguestfs: -rw-r--r--. qemu qemu system_u:object_r:virt_content_t:s0 initrd
libguestfs: -rwxr-xr-x. qemu qemu system_u:object_r:virt_content_t:s0 kernel
libguestfs: -rw-r--r--. qemu qemu system_u:object_r:virt_content_t:s0 root
libguestfs: command: run: ls
libguestfs: command: run: \ -a
libguestfs: command: run: \ -l
libguestfs: command: run: \ -Z /tmp/libguestfsPX8HeE
libguestfs: drwxr-xr-x. root root unconfined_u:object_r:user_tmp_t:s0 .
libguestfs: drwxrwxrwt. root root system_u:object_r:tmp_t:s0       ..
libguestfs: srw-rw----. root qemu unconfined_u:object_r:user_tmp_t:s0 console.sock
libguestfs: srw-rw----. root qemu unconfined_u:object_r:user_tmp_t:s0 guestfsd.sock
libguestfs: launch libvirt guest
libguestfs: responding to serial console Device Status Report
\x1b[1;256r\x1b[256;256H\x1b[6n
Google, Inc.
Serial Graphics Adapter 12/29/13
SGABIOS $Id: sgabios.S 8 2010-04-22 00:03:40Z nlaredo $ (mockbuild@) Sun Dec 29 03:43:06 UTC 2013
Term: 80x24
4 0
SeaBIOS (version 1.10.2-3.el7)
Machine UUID 9ce34c46-247b-4abe-80b0-ac2e38e81d18


iPXE (http://ipxe.org) 00:02.0 C100 PCI2.10 PnP PMM+1F395590+1F2F5590 C100



Booting from ROM...
\x1b[2J[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.10.0-514.21.1.el7.x86_64 (mockbuild@x86-020.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Sat Apr 22 02:41:35 EDT 2017
[    0.000000] Command line: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001f3fdfff] usable
[    0.000000] BIOS-e820: [mem 0x000000001f3fe000-0x000000001f3fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.4 present.
[    0.000000] e820: last_pfn = 0x1f3fe max_arch_pfn = 0x400000000
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] found SMP MP-table at [mem 0x000f7300-0x000f730f] mapped at [ffff8800000f7300]
[    0.000000] RAMDISK: [mem 0x1f0da000-0x1f3effff]
[    0.000000] ACPI BIOS Error (bug): A valid RSDP was not found (20130517/tbxfroot-218)
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x000000001f3fdfff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x1f3fdfff]
[    0.000000]   NODE_DATA [mem 0x1f0b3000-0x1f0d9fff]
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   DMA32    [mem 0x01000000-0xffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x1f3fdfff]
[    0.000000] SFI: Simple Firmware Interface v0.81 http://simplefirmware.org
[    0.000000] Intel MultiProcessor Specification v1.4
[    0.000000] MPTABLE: OEM ID: BOCHSCPU
[    0.000000] MPTABLE: Product ID: 0.1
[    0.000000] MPTABLE: APIC at: 0xFEE00000
[    0.000000] Processor #0 (Bootup-CPU)
[    0.000000] IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
[    0.000000] Processors: 1
[    0.000000] smpboot: Allowing 1 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x0009f000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000effff]
[    0.000000] PM: Registered nosave memory: [mem 0x000f0000-0x000fffff]
[    0.000000] e820: [mem 0x1f400000-0xfffbffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:5120 nr_cpumask_bits:1 nr_cpu_ids:1 nr_node_ids:1
[    0.000000] PERCPU: Embedded 33 pages/cpu @ffff88001ee00000 s96728 r8192 d30248 u2097152
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 125879
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm
[    0.000000] Disabling memory control group subsystem
[    0.000000] PID hash table entries: 2048 (order: 2, 16384 bytes)
[    0.000000] Memory: 483604k/511992k available (6768k kernel code, 392k absent, 27996k reserved, 4446k data, 1684k init)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] \tRCU restricting CPUs from NR_CPUS=5120 to nr_cpu_ids=1.
[    0.000000] NR_IRQS:327936 nr_irqs:256 0
[    0.000000] Console: colour *CGA 80x25
[    0.000000] console [ttyS0] enabled
[    0.000000] tsc: Fast TSC calibration using PIT
[    0.000000] tsc: Detected 2932.476 MHz processor
[    0.006000] Calibrating delay loop (skipped) preset value.. 5864.99 BogoMIPS (lpj=2932498)
[    0.007142] pid_max: default: 32768 minimum: 301
[    0.008619] Security Framework initialized
[    0.010874] SELinux:  Disabled at boot.
[    0.016114] Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.018369] Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
[    0.019192] Mount-cache hash table entries: 4096
[    0.030572] Initializing cgroup subsys memory
[    0.031587] Initializing cgroup subsys devices
[    0.031790] Initializing cgroup subsys freezer
[    0.032078] Initializing cgroup subsys net_cls
[    0.032290] Initializing cgroup subsys blkio
[    0.032427] Initializing cgroup subsys perf_event
[    0.032581] Initializing cgroup subsys hugetlb
[    0.032753] Initializing cgroup subsys pids
[    0.033064] Initializing cgroup subsys net_prio
[    0.035695] mce: CPU supports 10 MCE banks
[    0.037363] Last level iTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.037518] Last level dTLB entries: 4KB 0, 2MB 0, 4MB 0
[    0.037678] tlb_flushall_shift: -1
[    0.398600] Freeing SMP alternatives: 28k freed
[    0.409143] ftrace: allocating 25815 entries in 101 pages
[    0.523374] smpboot: Max logical packages: 1
[    0.529442] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.529728] smpboot: CPU0: AMD QEMU Virtual CPU version 1.5.3 (fam: 06, model: 0d, stepping: 03)
[    0.633000] Performance Events: Broken PMU hardware detected, using software events only.
[    0.633360] Failed to access perfctr msr (MSR c0010007 is 0)
[    0.655537] Brought up 1 CPUs
[    0.655756] smpboot: Total of 1 processors activated (5864.99 BogoMIPS)
[    0.663426] NMI watchdog: disabled (cpu0): hardware events not enabled
[    0.663598] NMI watchdog: Shutting down hard lockup detector on all cpus
[    0.678101] devtmpfs: initialized
[    0.704511] EVM: security.selinux
[    0.704629] EVM: security.ima
[    0.704700] EVM: security.capability
[    0.721050] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.721258] pinctrl core: initialized pinctrl subsystem
[    0.727357] NET: Registered protocol family 16
[    0.735353] PCI: Using configuration type 1 for base access
[    0.758199] ACPI: Interpreter disabled.
[    0.761557] vgaarb: loaded
[    0.763276] SCSI subsystem initialized
[    0.764354] usbcore: registered new interface driver usbfs
[    0.764752] usbcore: registered new interface driver hub
[    0.765218] usbcore: registered new device driver usb
[    0.766870] PCI: Probing PCI hardware
[    0.768047] PCI host bridge to bus 0000:00
[    0.768650] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.768857] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffffff]
[    0.769084] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.779552] pci 0000:00:01.1: legacy IDE quirk: reg 0x10: [io  0x01f0-0x01f7]
[    0.780049] pci 0000:00:01.1: legacy IDE quirk: reg 0x14: [io  0x03f6]
[    0.780231] pci 0000:00:01.1: legacy IDE quirk: reg 0x18: [io  0x0170-0x0177]
[    0.780396] pci 0000:00:01.1: legacy IDE quirk: reg 0x1c: [io  0x0376]
[    0.821710] pci 0000:00:01.0: PIIX/ICH IRQ router [8086:7000]
[    0.828796] NetLabel: Initializing
[    0.828899] NetLabel:  domain hash size = 128
[    0.829028] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.830318] NetLabel:  unlabeled traffic allowed by default
[    0.831839] Switched to clocksource refined-jiffies
[    0.915895] pnp: PnP ACPI: disabled
[    0.938609] NET: Registered protocol family 2
[    0.944748] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.945776] TCP bind hash table entries: 4096 (order: 4, 65536 bytes)
[    0.946199] TCP: Hash tables configured (established 4096 bind 4096)
[    0.946711] TCP: reno registered
[    0.947041] UDP hash table entries: 256 (order: 1, 8192 bytes)
[    0.947285] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[    0.948855] NET: Registered protocol family 1
[    0.949326] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.949505] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[    0.949774] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.954059] Unpacking initramfs...
[    0.980717] Freeing initrd memory: 3160k freed
[    0.986023] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.995779] sha1_ssse3: Neither AVX nor AVX2 nor SSSE3/SHA-NI is available/usable.
[    0.996051] sha256_ssse3: Neither AVX nor SSSE3/SHA-NI is available/usable.
[    0.999999] futex hash table entries: 256 (order: 2, 16384 bytes)
[    1.000592] Initialise system trusted keyring
[    1.002232] audit: initializing netlink socket (disabled)
[    1.003088] type=2000 audit(1501807618.001:1): initialized
[    1.169359] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    1.184007] zpool: loaded
[    1.184124] zbud: loaded
[    1.186740] VFS: Disk quotas dquot_6.5.2
[    1.187748] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    1.191709] msgmni has been set to 950
[    1.192780] Key type big_key registered
[    1.208415] NET: Registered protocol family 38
[    1.208687] Key type asymmetric registered
[    1.208828] Asymmetric key parser 'x509' registered
[    1.209466] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 251)
[    1.210247] io scheduler noop registered
[    1.210395] io scheduler deadline registered (default)
[    1.210828] io scheduler cfq registered
[    1.213984] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    1.214204] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    1.219592] Serial: 8250/16550 driver, 1 ports, IRQ sharing enabled
[    1.221383] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    1.227422] Non-volatile memory driver v1.3
[    1.227823] Linux agpgart interface v0.103
[    1.229691] crash memory driver: version 1.1
[    1.230691] rdac: device handler registered
[    1.231246] hp_sw: device handler registered
[    1.231390] emc: device handler registered
[    1.231508] alua: device handler registered
[    1.232723] libphy: Fixed MDIO Bus: probed
[    1.233724] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.234033] ehci-pci: EHCI PCI platform driver
[    1.234339] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.234529] ohci-pci: OHCI PCI platform driver
[    1.234796] uhci_hcd: USB Universal Host Controller Interface driver
[    1.235653] usbcore: registered new interface driver usbserial
[    1.236044] usbcore: registered new interface driver usbserial_generic
[    1.236385] usbserial: USB Serial support registered for generic
[    1.236988] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    1.240032] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.240314] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.241983] mousedev: PS/2 mouse device common for all mice
[    1.245550] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.249737] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    1.250294] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    1.251330] cpuidle: using governor menu
[    1.254659] hidraw: raw HID events driver (C) Jiri Kosina
[    1.256590] usbcore: registered new interface driver usbhid
[    1.256719] usbhid: USB HID core driver
[    1.257265] drop_monitor: Initializing network drop monitor service
[    1.258861] TCP: cubic registered
[    1.259036] Initializing XFRM netlink socket
[    1.260602] NET: Registered protocol family 10
[    1.266808] NET: Registered protocol family 17
[    1.269560] microcode: AMD CPU family 0x6 not supported
[    1.271462] Loading compiled-in X.509 certificates
[    1.279100] Loaded X.509 cert 'Red Hat Enterprise Linux Driver Update Program (key 3): bf57f3e87362bc7229d9f465321773dfd1f77a80'
[    1.281671] Loaded X.509 cert 'Red Hat Enterprise Linux kpatch signing key: 4d38fd864ebe18c5f0b72e3852e2014c3a676fc8'
[    1.284126] Loaded X.509 cert 'Red Hat Enterprise Linux kernel signing key: 203acb242ca4677d2a998c16feb22d91dd12dd89'
[    1.284581] registered taskstats version 1
[    1.292471] Key type trusted registered
[    1.295189] Key type encrypted registered
[    1.297520] IMA: No TPM chip found, activating TPM-bypass!
[    1.301042] rtc_cmos rtc_cmos: setting system clock to 2017-08-04 00:46:59 UTC (1501807619)
[    1.310507] Freeing unused kernel memory: 1684k freed
supermin: mounting /proc
supermin: ext2 mini initrd starting up: 5.1.16 glibc
supermin: cmdline: panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm
supermin: uptime: 1.39 0.51
supermin: mounting /sys
supermin: internal insmod crc32-pclmul.ko
[    1.415614] PCLMULQDQ-NI instructions are not detected.
insmod: init_module: crc32-pclmul.ko: No such device
supermin: internal insmod crc32c-intel.ko
insmod: init_module: crc32c-intel.ko: No such device
supermin: internal insmod crct10dif_common.ko
supermin: internal insmod crct10dif-pclmul.ko
insmod: init_module: crct10dif-pclmul.ko: No such device
supermin: internal insmod crc32_generic.ko
[    1.443236] alg: No test for crc32 (crc32-generic)
supermin: internal insmod crct10dif_generic.ko
supermin: internal insmod libnvdimm.ko
supermin: internal insmod nfit.ko
insmod: init_module: nfit.ko: No such device
supermin: internal insmod libata.ko
supermin: internal insmod ata_piix.ko
[    1.542809] scsi host0: ata_piix
[    1.544272] scsi host1: ata_piix
[    1.544855] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc0a0 irq 14
[    1.545089] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc0a8 irq 15
supermin: internal insmod virtio.ko
supermin: internal insmod virtio_ring.ko
supermin: internal insmod virtio_blk.ko
supermin: internal insmod virtio-rng.ko
supermin: internal insmod virtio_console.ko
supermin: internal insmod virtio_net.ko
supermin: internal insmod nd_btt.ko
supermin: internal insmod nd_pmem.ko
supermin: internal insmod crc-t10dif.ko
supermin: internal insmod sd_mod.ko
supermin: internal insmod virtio_scsi.ko
supermin: internal insmod virtio_balloon.ko
supermin: internal insmod virtio_input.ko
supermin: internal insmod virtio_pci.ko
[    1.795901] virtio-pci 0000:00:02.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    1.796190] virtio-pci 0000:00:02.0: virtio_pci: leaving for legacy driver
[    1.809072] virtio-pci 0000:00:03.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    1.809264] virtio-pci 0000:00:03.0: virtio_pci: leaving for legacy driver
[    1.812096] scsi host2: Virtio SCSI HBA
[    1.814850] scsi 2:0:0:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
[    1.815850] virtio-pci 0000:00:04.0: PCI->APIC IRQ transform: INT A -> IRQ 25
[    1.815850] virtio-pci 0000:00:04.0: virtio_pci: leaving for legacy driver
[    1.818120] scsi 2:0:1:0: Direct-Access     QEMU     QEMU HARDDISK    1.5. PQ: 0 ANSI: 5
[    1.828157] virtio-pci 0000:00:05.0: PCI->APIC IRQ transform: INT A -> IRQ 24
[    1.828354] virtio-pci 0000:00:05.0: virtio_pci: leaving for legacy driver
[    1.956008] sd 2:0:0:0: [sda] 41943040 512-byte logical blocks: (21.4 GB/20.0 GiB)
[    1.957592] sd 2:0:0:0: [sda] Write Protect is off
[    1.958351] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.962301] sd 2:0:1:0: [sdb] 8388608 512-byte logical blocks: (4.29 GB/4.00 GiB)
[    1.963125] sd 2:0:1:0: [sdb] Write Protect is off
[    1.963476] sd 2:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.975995]  sda: sda1 sda2 sda3
[    1.985551] sd 2:0:0:0: [sda] Attached SCSI disk
[    1.986476] sd 2:0:1:0: [sdb] Attached SCSI disk
supermin: internal insmod jbd2.ko
[    1.988669] Switched to clocksource tsc
supermin: internal insmod mbcache.ko
supermin: internal insmod ext4.ko
[    2.101584] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input1
supermin: internal insmod crc-ccitt.ko
supermin: internal insmod crc-itu-t.ko
supermin: internal insmod crc8.ko
supermin: internal insmod libcrc32c.ko
supermin: picked /sys/block/sdb/dev as root device
supermin: creating /dev/root as block special 8:16
supermin: mounting new root on /root
[    2.213622] EXT4-fs (sdb): mounting ext2 file system using the ext4 subsystem
[    2.254291] EXT4-fs (sdb): mounted filesystem without journal. Opts:
supermin: deleting initramfs files
supermin: chroot
Starting /init script ...
+ [[ panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_network=1* ]]
+ guestfs_network=1
+ [[ panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_rescue=1* ]]
+ [[ panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_noreboot=1* ]]
+ [[ panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *guestfs_boot_analysis=1* ]]
+ '[' '!' -d /sys ']'
+ mkdir -p /sys
+ mount -t sysfs /sys /sys
+ mkdir -p /run
+ mount -t tmpfs -o nosuid,size=20%,mode=0755 tmpfs /run
+ mkdir -p /run/lock
+ ln -s ../run/lock /var/lock
+ test -e /etc/mtab
+ mount -t devtmpfs /dev /dev
+ mkdir -p /dev/pts
+ mount -t devpts /dev/pts /dev/pts
+ [[ panic=1 console=ttyS0 edd=off udevtimeout=6000 udev.event-timeout=6000 no_timer_check lpj=2932498 printk.time=1 cgroup_disable=memory usbcore.nousb cryptomgr.notests tsc=reliable 8250.nr_uarts=1 root=/dev/sdb selinux=0 guestfs_verbose=1 guestfs_network=1 TERM=xterm == *selinux=1* ]]
+ mkdir -p /run/tmpfiles.d
+ kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
++ dd if=/dev/urandom bs=16 count=1 status=none
++ od -x -A n
+ machine_id=' 7257 e201 a629 67ed abeb 95c9 e729 e07b'
+ echo 7257e201a62967edabeb95c9e729e07b
+ systemd-tmpfiles --prefix=/dev --prefix=/run --prefix=/var/run --create --boot
[/usr/lib/tmpfiles.d/systemd.conf:11] Unknown group 'utmp'.
[/usr/lib/tmpfiles.d/systemd.conf:19] Unknown user 'systemd-network'.
[/usr/lib/tmpfiles.d/systemd.conf:20] Unknown user 'systemd-network'.
[/usr/lib/tmpfiles.d/systemd.conf:21] Unknown user 'systemd-network'.
[/usr/lib/tmpfiles.d/systemd.conf:25] Unknown group 'systemd-journal'.
[/usr/lib/tmpfiles.d/systemd.conf:26] Unknown group 'systemd-journal'.
+ for f in /lib/systemd/systemd-udevd /usr/lib/systemd/systemd-udevd /sbin/udevd /lib/udev/udevd /usr/lib/udev/udevd
+ '[' -x /lib/systemd/systemd-udevd ']'
+ UDEVD=/lib/systemd/systemd-udevd
+ break
+ '[' -z /lib/systemd/systemd-udevd ']'
+ /lib/systemd/systemd-udevd --daemon
starting version 219
specified group 'input' unknown
specified group 'realtime' unknown
+ udevadm trigger
+ udevadm settle --timeout=600
[    4.889155] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    4.893481] sd 2:0:1:0: Attached scsi generic sg1 type 0
[    5.225416] input: PC Speaker as /devices/platform/pcspkr/input/input2
[    5.940920] Error: Driver 'pcspkr' is already registered, aborting...
+ shopt -s nullglob
+ for f in '/sys/block/sd*/device/timeout'
+ echo 300
+ for f in '/sys/block/sd*/device/timeout'
+ echo 300
+ for f in '/sys/block/{h,s,ub,v}d*/queue/scheduler'
+ echo noop
+ for f in '/sys/block/{h,s,ub,v}d*/queue/scheduler'
+ echo noop
+ shopt -u nullglob
+ ip addr add 127.0.0.1/8 brd + dev lo scope host
+ ip link set dev lo up
+ ip addr add 169.254.2.10/16 brd + dev eth0 scope global
+ ip link set dev eth0 up
+ ip route add default via 169.254.2.2
+ echo nameserver 169.254.2.3
+ mdadm -As --auto=yes --run
mdadm: No arrays found in config file or automatically
+ modprobe dm_mod
[    7.618904] device-mapper: uevent: version 1.0.3
[    7.625337] device-mapper: ioctl: 4.34.0-ioctl (2015-10-28) initialised: dm-devel@redhat.com
+ lvm vgchange -aay --sysinit
  Invalid units specification
+ ldmtool create all
/init: line 137: ldmtool: command not found
+ test 1 = 1
+ test '' '!=' 1
+ uname -a
Linux (none) 3.10.0-514.21.1.el7.x86_64 #1 SMP Sat Apr 22 02:41:35 EDT 2017 x86_64 x86_64 x86_64 GNU/Linux
+ ls -lR /dev
/dev:
total 0
crw------- 1 root root  10, 235 Aug  4 00:47 autofs
drwxr-xr-x 2 root root      140 Aug  4 00:47 block
drwxr-xr-x 2 root root       80 Aug  4 00:47 bsg
crw------- 1 root root  10, 234 Aug  4 00:47 btrfs-control
drwxr-xr-x 2 root root     2220 Aug  4 00:47 char
crw------- 1 root root   5,   1 Aug  4 00:47 console
lrwxrwxrwx 1 root root       11 Aug  4 00:47 core -> /proc/kcore
drwxr-xr-x 3 root root       60 Aug  4 00:46 cpu
crw------- 1 root root  10,  61 Aug  4 00:47 cpu_dma_latency
crw------- 1 root root  10,  62 Aug  4 00:47 crash
drwxr-xr-x 6 root root      120 Aug  4 00:47 disk
lrwxrwxrwx 1 root root       13 Aug  4 00:47 fd -> /proc/self/fd
crw-rw-rw- 1 root root   1,   7 Aug  4 00:47 full
crw-rw-rw- 1 root root  10, 229 Aug  4 00:47 fuse
crw------- 1 root root  10, 183 Aug  4 00:47 hwrng
drwxr-xr-x 3 root root      160 Aug  4 00:47 input
crw-r--r-- 1 root root   1,  11 Aug  4 00:47 kmsg
crw------- 1 root root  10, 232 Aug  4 00:47 kvm
crw-rw---- 1 root disk  10, 237 Aug  4 00:47 loop-control
drwxr-xr-x 2 root root       60 Aug  4 00:47 mapper
crw------- 1 root root  10, 227 Aug  4 00:47 mcelog
crw------- 1 root root   1,   1 Aug  4 00:47 mem
drwxr-xr-x 2 root root       60 Aug  4 00:47 net
crw------- 1 root root  10,  60 Aug  4 00:47 network_latency
crw------- 1 root root  10,  59 Aug  4 00:47 network_throughput
crw-rw-rw- 1 root root   1,   3 Aug  4 00:47 null
crw------- 1 root root  10, 144 Aug  4 00:47 nvram
crw------- 1 root root   1,  12 Aug  4 00:47 oldmem
crw------- 1 root root   1,   4 Aug  4 00:47 port
crw------- 1 root root 108,   0 Aug  4 00:47 ppp
crw-rw-rw- 1 root root   5,   2 Aug  4 00:47 ptmx
drwxr-xr-x 2 root root        0 Aug  4 00:46 pts
crw-rw-rw- 1 root root   1,   8 Aug  4 00:47 random
drwxr-xr-x 2 root root       60 Aug  4 00:46 raw
lrwxrwxrwx 1 root root        4 Aug  4 00:47 rtc -> rtc0
crw------- 1 root root 253,   0 Aug  4 00:47 rtc0
brw------- 1 root root   8,   0 Aug  4 00:47 sda
brw------- 1 root root   8,   1 Aug  4 00:47 sda1
brw------- 1 root root   8,   2 Aug  4 00:47 sda2
brw------- 1 root root   8,   3 Aug  4 00:47 sda3
brw------- 1 root root   8,  16 Aug  4 00:47 sdb
crw-rw---- 1 root disk  21,   0 Aug  4 00:47 sg0
crw-rw---- 1 root disk  21,   1 Aug  4 00:47 sg1
crw------- 1 root root  10, 231 Aug  4 00:47 snapshot
drwxr-xr-x 2 root root       80 Aug  4 00:47 snd
lrwxrwxrwx 1 root root       15 Aug  4 00:47 stderr -> /proc/self/fd/2
lrwxrwxrwx 1 root root       15 Aug  4 00:47 stdin -> /proc/self/fd/0
lrwxrwxrwx 1 root root       15 Aug  4 00:47 stdout -> /proc/self/fd/1
crw-rw-rw- 1 root root   5,   0 Aug  4 00:47 tty
crw------- 1 root root   4,   0 Aug  4 00:47 tty0
crw------- 1 root root   4,   1 Aug  4 00:47 tty1
crw------- 1 root root   4,  10 Aug  4 00:47 tty10
crw------- 1 root root   4,  11 Aug  4 00:47 tty11
crw------- 1 root root   4,  12 Aug  4 00:47 tty12
crw------- 1 root root   4,  13 Aug  4 00:47 tty13
crw------- 1 root root   4,  14 Aug  4 00:47 tty14
crw------- 1 root root   4,  15 Aug  4 00:47 tty15
crw------- 1 root root   4,  16 Aug  4 00:47 tty16
crw------- 1 root root   4,  17 Aug  4 00:47 tty17
crw------- 1 root root   4,  18 Aug  4 00:47 tty18
crw------- 1 root root   4,  19 Aug  4 00:47 tty19
crw------- 1 root root   4,   2 Aug  4 00:47 tty2
crw------- 1 root root   4,  20 Aug  4 00:47 tty20
crw------- 1 root root   4,  21 Aug  4 00:47 tty21
crw------- 1 root root   4,  22 Aug  4 00:47 tty22
crw------- 1 root root   4,  23 Aug  4 00:47 tty23
crw------- 1 root root   4,  24 Aug  4 00:47 tty24
crw------- 1 root root   4,  25 Aug  4 00:47 tty25
crw------- 1 root root   4,  26 Aug  4 00:47 tty26
crw------- 1 root root   4,  27 Aug  4 00:47 tty27
crw------- 1 root root   4,  28 Aug  4 00:47 tty28
crw------- 1 root root   4,  29 Aug  4 00:47 tty29
crw------- 1 root root   4,   3 Aug  4 00:47 tty3
crw------- 1 root root   4,  30 Aug  4 00:47 tty30
crw------- 1 root root   4,  31 Aug  4 00:47 tty31
crw------- 1 root root   4,  32 Aug  4 00:47 tty32
crw------- 1 root root   4,  33 Aug  4 00:47 tty33
crw------- 1 root root   4,  34 Aug  4 00:47 tty34
crw------- 1 root root   4,  35 Aug  4 00:47 tty35
crw------- 1 root root   4,  36 Aug  4 00:47 tty36
crw------- 1 root root   4,  37 Aug  4 00:47 tty37
crw------- 1 root root   4,  38 Aug  4 00:47 tty38
crw------- 1 root root   4,  39 Aug  4 00:47 tty39
crw------- 1 root root   4,   4 Aug  4 00:47 tty4
crw------- 1 root root   4,  40 Aug  4 00:47 tty40
crw------- 1 root root   4,  41 Aug  4 00:47 tty41
crw------- 1 root root   4,  42 Aug  4 00:47 tty42
crw------- 1 root root   4,  43 Aug  4 00:47 tty43
crw------- 1 root root   4,  44 Aug  4 00:47 tty44
crw------- 1 root root   4,  45 Aug  4 00:47 tty45
crw------- 1 root root   4,  46 Aug  4 00:47 tty46
crw------- 1 root root   4,  47 Aug  4 00:47 tty47
crw------- 1 root root   4,  48 Aug  4 00:47 tty48
crw------- 1 root root   4,  49 Aug  4 00:47 tty49
crw------- 1 root root   4,   5 Aug  4 00:47 tty5
crw------- 1 root root   4,  50 Aug  4 00:47 tty50
crw------- 1 root root   4,  51 Aug  4 00:47 tty51
crw------- 1 root root   4,  52 Aug  4 00:47 tty52
crw------- 1 root root   4,  53 Aug  4 00:47 tty53
crw------- 1 root root   4,  54 Aug  4 00:47 tty54
crw------- 1 root root   4,  55 Aug  4 00:47 tty55
crw------- 1 root root   4,  56 Aug  4 00:47 tty56
crw------- 1 root root   4,  57 Aug  4 00:47 tty57
crw------- 1 root root   4,  58 Aug  4 00:47 tty58
crw------- 1 root root   4,  59 Aug  4 00:47 tty59
crw------- 1 root root   4,   6 Aug  4 00:47 tty6
crw------- 1 root root   4,  60 Aug  4 00:47 tty60
crw------- 1 root root   4,  61 Aug  4 00:47 tty61
crw------- 1 root root   4,  62 Aug  4 00:47 tty62
crw------- 1 root root   4,  63 Aug  4 00:47 tty63
crw------- 1 root root   4,   7 Aug  4 00:47 tty7
crw------- 1 root root   4,   8 Aug  4 00:47 tty8
crw------- 1 root root   4,   9 Aug  4 00:47 tty9
crw------- 1 root root   4,  64 Aug  4 00:47 ttyS0
crw------- 1 root root  10, 239 Aug  4 00:47 uhid
crw------- 1 root root  10, 223 Aug  4 00:47 uinput
crw-rw-rw- 1 root root   1,   9 Aug  4 00:47 urandom
crw------- 1 root root 250,   0 Aug  4 00:47 usbmon0
crw------- 1 root root   7,   0 Aug  4 00:47 vcs
crw------- 1 root root   7,   1 Aug  4 00:47 vcs1
crw------- 1 root root   7, 128 Aug  4 00:47 vcsa
crw------- 1 root root   7, 129 Aug  4 00:47 vcsa1
drwxr-xr-x 2 root root       60 Aug  4 00:47 vfio
crw------- 1 root root  10,  63 Aug  4 00:47 vga_arbiter
crw------- 1 root root  10, 137 Aug  4 00:47 vhci
crw------- 1 root root  10, 238 Aug  4 00:47 vhost-net
drwxr-xr-x 2 root root       60 Aug  4 00:47 virtio-ports
crw------- 1 root root 246,   1 Aug  4 00:47 vport2p1
crw-rw-rw- 1 root root   1,   5 Aug  4 00:47 zero

/dev/block:
total 0
lrwxrwxrwx 1 root root 6 Aug  4 00:47 8:0 -> ../sda
lrwxrwxrwx 1 root root 7 Aug  4 00:47 8:1 -> ../sda1
lrwxrwxrwx 1 root root 6 Aug  4 00:47 8:16 -> ../sdb
lrwxrwxrwx 1 root root 7 Aug  4 00:47 8:2 -> ../sda2
lrwxrwxrwx 1 root root 7 Aug  4 00:47 8:3 -> ../sda3

/dev/bsg:
total 0
crw------- 1 root root 251, 0 Aug  4 00:47 2:0:0:0
crw------- 1 root root 251, 1 Aug  4 00:47 2:0:1:0

/dev/char:
total 0
lrwxrwxrwx 1 root root  8 Aug  4 00:47 10:144 -> ../nvram
lrwxrwxrwx 1 root root  8 Aug  4 00:47 10:183 -> ../hwrng
lrwxrwxrwx 1 root root  9 Aug  4 00:47 10:227 -> ../mcelog
lrwxrwxrwx 1 root root 11 Aug  4 00:47 10:231 -> ../snapshot
lrwxrwxrwx 1 root root  6 Aug  4 00:47 10:232 -> ../kvm
lrwxrwxrwx 1 root root  9 Aug  4 00:47 10:235 -> ../autofs
lrwxrwxrwx 1 root root 17 Aug  4 00:47 10:236 -> ../mapper/control
lrwxrwxrwx 1 root root 21 Aug  4 00:47 10:59 -> ../network_throughput
lrwxrwxrwx 1 root root 18 Aug  4 00:47 10:60 -> ../network_latency
lrwxrwxrwx 1 root root 18 Aug  4 00:47 10:61 -> ../cpu_dma_latency
lrwxrwxrwx 1 root root  8 Aug  4 00:47 10:62 -> ../crash
lrwxrwxrwx 1 root root 14 Aug  4 00:47 10:63 -> ../vga_arbiter
lrwxrwxrwx 1 root root 12 Aug  4 00:47 116:33 -> ../snd/timer
lrwxrwxrwx 1 root root 15 Aug  4 00:47 13:32 -> ../input/mouse0
lrwxrwxrwx 1 root root 13 Aug  4 00:47 13:63 -> ../input/mice
lrwxrwxrwx 1 root root 15 Aug  4 00:47 13:64 -> ../input/event0
lrwxrwxrwx 1 root root 15 Aug  4 00:47 13:65 -> ../input/event1
lrwxrwxrwx 1 root root 15 Aug  4 00:47 13:66 -> ../input/event2
lrwxrwxrwx 1 root root 13 Aug  4 00:47 162:0 -> ../raw/rawctl
lrwxrwxrwx 1 root root  6 Aug  4 00:47 1:1 -> ../mem
lrwxrwxrwx 1 root root  7 Aug  4 00:47 1:11 -> ../kmsg
lrwxrwxrwx 1 root root  9 Aug  4 00:47 1:12 -> ../oldmem
lrwxrwxrwx 1 root root  7 Aug  4 00:47 1:3 -> ../null
lrwxrwxrwx 1 root root  7 Aug  4 00:47 1:4 -> ../port
lrwxrwxrwx 1 root root  7 Aug  4 00:47 1:5 -> ../zero
lrwxrwxrwx 1 root root  7 Aug  4 00:47 1:7 -> ../full
lrwxrwxrwx 1 root root  9 Aug  4 00:47 1:8 -> ../random
lrwxrwxrwx 1 root root 10 Aug  4 00:47 1:9 -> ../urandom
lrwxrwxrwx 1 root root 12 Aug  4 00:47 202:0 -> ../cpu/0/msr
lrwxrwxrwx 1 root root 14 Aug  4 00:47 203:0 -> ../cpu/0/cpuid
lrwxrwxrwx 1 root root  6 Aug  4 00:47 21:0 -> ../sg0
lrwxrwxrwx 1 root root  6 Aug  4 00:47 21:1 -> ../sg1
lrwxrwxrwx 1 root root 11 Aug  4 00:47 246:1 -> ../vport2p1
lrwxrwxrwx 1 root root 10 Aug  4 00:47 250:0 -> ../usbmon0
lrwxrwxrwx 1 root root 14 Aug  4 00:47 251:0 -> ../bsg/2:0:0:0
lrwxrwxrwx 1 root root 14 Aug  4 00:47 251:1 -> ../bsg/2:0:1:0
lrwxrwxrwx 1 root root  7 Aug  4 00:47 253:0 -> ../rtc0
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:0 -> ../tty0
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:1 -> ../tty1
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:10 -> ../tty10
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:11 -> ../tty11
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:12 -> ../tty12
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:13 -> ../tty13
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:14 -> ../tty14
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:15 -> ../tty15
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:16 -> ../tty16
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:17 -> ../tty17
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:18 -> ../tty18
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:19 -> ../tty19
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:2 -> ../tty2
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:20 -> ../tty20
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:21 -> ../tty21
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:22 -> ../tty22
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:23 -> ../tty23
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:24 -> ../tty24
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:25 -> ../tty25
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:26 -> ../tty26
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:27 -> ../tty27
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:28 -> ../tty28
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:29 -> ../tty29
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:3 -> ../tty3
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:30 -> ../tty30
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:31 -> ../tty31
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:32 -> ../tty32
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:33 -> ../tty33
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:34 -> ../tty34
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:35 -> ../tty35
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:36 -> ../tty36
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:37 -> ../tty37
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:38 -> ../tty38
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:39 -> ../tty39
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:4 -> ../tty4
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:40 -> ../tty40
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:41 -> ../tty41
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:42 -> ../tty42
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:43 -> ../tty43
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:44 -> ../tty44
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:45 -> ../tty45
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:46 -> ../tty46
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:47 -> ../tty47
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:48 -> ../tty48
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:49 -> ../tty49
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:5 -> ../tty5
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:50 -> ../tty50
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:51 -> ../tty51
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:52 -> ../tty52
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:53 -> ../tty53
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:54 -> ../tty54
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:55 -> ../tty55
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:56 -> ../tty56
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:57 -> ../tty57
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:58 -> ../tty58
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:59 -> ../tty59
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:6 -> ../tty6
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:60 -> ../tty60
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:61 -> ../tty61
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:62 -> ../tty62
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:63 -> ../tty63
lrwxrwxrwx 1 root root  8 Aug  4 00:47 4:64 -> ../ttyS0
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:7 -> ../tty7
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:8 -> ../tty8
lrwxrwxrwx 1 root root  7 Aug  4 00:47 4:9 -> ../tty9
lrwxrwxrwx 1 root root  6 Aug  4 00:47 5:0 -> ../tty
lrwxrwxrwx 1 root root 10 Aug  4 00:47 5:1 -> ../console
lrwxrwxrwx 1 root root  7 Aug  4 00:47 5:2 -> ../ptmx
lrwxrwxrwx 1 root root  6 Aug  4 00:47 7:0 -> ../vcs
lrwxrwxrwx 1 root root  7 Aug  4 00:47 7:1 -> ../vcs1
lrwxrwxrwx 1 root root  7 Aug  4 00:47 7:128 -> ../vcsa
lrwxrwxrwx 1 root root  8 Aug  4 00:47 7:129 -> ../vcsa1

/dev/cpu:
total 0
drwxr-xr-x 2 root root 80 Aug  4 00:46 0

/dev/cpu/0:
total 0
crw-r----- 1 root root 203, 0 Aug  4 00:47 cpuid
crw-r----- 1 root root 202, 0 Aug  4 00:47 msr

/dev/disk:
total 0
drwxr-xr-x 2 root root 140 Aug  4 00:47 by-id
drwxr-xr-x 2 root root  80 Aug  4 00:47 by-label
drwxr-xr-x 2 root root 140 Aug  4 00:47 by-path
drwxr-xr-x 2 root root 120 Aug  4 00:47 by-uuid

/dev/disk/by-id:
total 0
lrwxrwxrwx 1 root root  9 Aug  4 00:47 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0 -> ../../sda
lrwxrwxrwx 1 root root 10 Aug  4 00:47 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Aug  4 00:47 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Aug  4 00:47 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0-part3 -> ../../sda3
lrwxrwxrwx 1 root root  9 Aug  4 00:47 scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-1-0 -> ../../sdb

/dev/disk/by-label:
total 0
lrwxrwxrwx 1 root root 10 Aug  4 00:47 @appos-template -> ../../sda3
lrwxrwxrwx 1 root root 10 Aug  4 00:47 var@appos-templa -> ../../sda2

/dev/disk/by-path:
total 0
lrwxrwxrwx 1 root root  9 Aug  4 00:47 virtio-pci-0000:00:03.0-scsi-0:0:0:0 -> ../../sda
lrwxrwxrwx 1 root root 10 Aug  4 00:47 virtio-pci-0000:00:03.0-scsi-0:0:0:0-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Aug  4 00:47 virtio-pci-0000:00:03.0-scsi-0:0:0:0-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Aug  4 00:47 virtio-pci-0000:00:03.0-scsi-0:0:0:0-part3 -> ../../sda3
lrwxrwxrwx 1 root root  9 Aug  4 00:47 virtio-pci-0000:00:03.0-scsi-0:0:1:0 -> ../../sdb

/dev/disk/by-uuid:
total 0
lrwxrwxrwx 1 root root 10 Aug  4 00:47 2c55dec6-2ffd-41f7-8c0c-c30c67d07756 -> ../../sda2
lrwxrwxrwx 1 root root  9 Aug  4 00:47 31abd5fe-6e03-4eb6-bfba-455f0e5a4cc6 -> ../../sdb
lrwxrwxrwx 1 root root 10 Aug  4 00:47 8644eacd-eb04-4fca-b3b7-83eeeb335618 -> ../../sda3
lrwxrwxrwx 1 root root 10 Aug  4 00:47 9d1aaa1c-545f-4581-a2ba-40d692e47cd4 -> ../../sda1

/dev/input:
total 0
drwxr-xr-x 2 root root    120 Aug  4 00:47 by-path
crw------- 1 root root 13, 64 Aug  4 00:47 event0
crw------- 1 root root 13, 65 Aug  4 00:47 event1
crw------- 1 root root 13, 66 Aug  4 00:47 event2
crw------- 1 root root 13, 63 Aug  4 00:47 mice
crw------- 1 root root 13, 32 Aug  4 00:47 mouse0

/dev/input/by-path:
total 0
lrwxrwxrwx 1 root root 9 Aug  4 00:47 platform-i8042-serio-0-event-kbd -> ../event0
lrwxrwxrwx 1 root root 9 Aug  4 00:47 platform-i8042-serio-1-event-mouse -> ../event1
lrwxrwxrwx 1 root root 9 Aug  4 00:47 platform-i8042-serio-1-mouse -> ../mouse0
lrwxrwxrwx 1 root root 9 Aug  4 00:47 platform-pcspkr-event-spkr -> ../event2

/dev/mapper:
total 0
crw------- 1 root root 10, 236 Aug  4 00:47 control

/dev/net:
total 0
crw-rw-rw- 1 root root 10, 200 Aug  4 00:47 tun

/dev/pts:
total 0
c--------- 1 root root 5, 2 Aug  4 00:46 ptmx

/dev/raw:
total 0
crw------- 1 root root 162, 0 Aug  4 00:47 rawctl

/dev/snd:
total 0
crw-rw---- 1 root audio 116,  1 Aug  4 00:47 seq
crw-rw---- 1 root audio 116, 33 Aug  4 00:47 timer

/dev/vfio:
total 0
crw------- 1 root root 10, 196 Aug  4 00:47 vfio

/dev/virtio-ports:
total 0
lrwxrwxrwx 1 root root 11 Aug  4 00:47 org.libguestfs.channel.0 -> ../vport2p1
+ cat /proc/mounts
rootfs / rootfs rw 0 0
proc /proc proc rw,relatime 0 0
/dev/root / ext2 rw,noatime 0 0
/proc /proc proc rw,relatime 0 0
/sys /sys sysfs rw,relatime 0 0
tmpfs /run tmpfs rw,nosuid,relatime,size=97696k,mode=755 0 0
/dev /dev devtmpfs rw,relatime,size=241816k,nr_inodes=60454,mode=755 0 0
/dev/pts /dev/pts devpts rw,relatime,mode=600,ptmxmode=000 0 0
+ lvm pvs
  Invalid units specification
+ lvm vgs
  Invalid units specification
+ lvm lvs
  Invalid units specification
+ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:12:34:56 brd ff:ff:ff:ff:ff:ff
    inet 169.254.2.10/16 brd 169.254.255.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fe12:3456/64 scope link
       valid_lft forever preferred_lft forever
+ ip r
default via 169.254.2.2 dev eth0
169.254.0.0/16 dev eth0  proto kernel  scope link  src 169.254.2.10
+ lsmod
Module                  Size  Used by
dm_mod                114430  0
kvm_amd                64937  0
kvm                   554609  1 kvm_amd
snd_pcm               106416  0
snd_timer              29819  1 snd_pcm
snd                    83432  2 snd_timer,snd_pcm
irqbypass              13503  1 kvm
soundcore              15047  1 snd
pcspkr                 12718  0
serio_raw              13462  0
sg                     40721  0
ata_generic            12910  0
pata_acpi              13038  0
libcrc32c              12644  0
crc8                   12893  0
crc_itu_t              12707  0
crc_ccitt              12707  0
ext4                  583541  1
mbcache                14958  1 ext4
jbd2                  102945  1 ext4
virtio_pci             22913  0
virtio_input           13247  0
virtio_balloon         13834  0
virtio_scsi            18361  1
sd_mod                 46322  1
crc_t10dif             12714  1 sd_mod
nd_pmem                13087  0
nd_btt                 17929  1 nd_pmem
virtio_net             28024  0
virtio_console         28115  0
virtio_rng             13019  0
virtio_blk             18156  0
virtio_ring            21524  8 virtio_blk,virtio_net,virtio_pci,virtio_rng,virtio_balloon,virtio_input,virtio_console,virtio_scsi
virtio                 15008  8 virtio_blk,virtio_net,virtio_pci,virtio_rng,virtio_balloon,virtio_input,virtio_console,virtio_scsi
ata_piix               35038  0
libata                247095  3 pata_acpi,ata_generic,ata_piix
libnvdimm             126631  2 nd_pmem,nd_btt
crct10dif_generic      12647  1
crc32_generic          12714  0
crct10dif_common       12595  2 crct10dif_generic,crc_t10dif
+ date
Fri Aug  4 00:47:07 UTC 2017
+ echo -n 'clocksource: '
clocksource: + cat /sys/devices/system/clocksource/clocksource0/current_clocksource
tsc
+ echo -n 'uptime: '
uptime: + cat /proc/uptime
9.07 0.66
+ test '' = 1
+ cmd=guestfsd
++ grep -Eo 'guestfs_channel=[^[:space:]]+' /proc/cmdline
+ eval
+ test x '!=' x
+ test 1 = 1
+ cmd='guestfsd --verbose'
+ test 1 = 1
+ cmd='guestfsd --verbose --network'
+ echo guestfsd --verbose --network
guestfsd --verbose --network
+ guestfsd --verbose --network
lvmetad
trying to open virtio-serial channel '/dev/virtio-ports/org.libguestfs.channel.0'
udevadm --debug settle
calling: settle
libguestfs: recv_from_daemon: received GUESTFS_LAUNCH_FLAG
libguestfs: appliance is up
libguestfs: trace: launch = 0
libguestfs: trace: c_pointer
libguestfs: trace: c_pointer = 23076160
libguestfs: trace: list_partitions
guestfsd: main_loop: new request, len 0x28
libguestfs: trace: list_partitions = ["/dev/sda1", "/dev/sda2", "/dev/sda3"]
libguestfs: trace: vfs_type "/dev/sda1"
guestfsd: main_loop: proc 8 (list_partitions) took 0.01 seconds
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda1
libguestfs: trace: vfs_type = "swap"
libguestfs: trace: vfs_type "/dev/sda2"
guestfsd: main_loop: proc 198 (vfs_type) took 0.13 seconds
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda2
libguestfs: trace: vfs_type = "ext4"
libguestfs: trace: vfs_type "/dev/sda3"
guestfsd: main_loop: proc 198 (vfs_type) took 0.12 seconds
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda3
libguestfs: trace: vfs_type = "ext4"
libguestfs: trace: inspect_os
libguestfs: trace: umount_all
guestfsd: main_loop: proc 198 (vfs_type) took 0.12 seconds
guestfsd: main_loop: new request, len 0x28
umount-all: /proc/mounts: fsname=rootfs dir=/ type=rootfs opts=rw freq=0 passno=0
umount-all: /proc/mounts: fsname=proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/root dir=/ type=ext2 opts=rw,noatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/sys dir=/sys type=sysfs opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=tmpfs dir=/run type=tmpfs opts=rw,nosuid,relatime,size=97696k,mode=755 freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev dir=/dev type=devtmpfs opts=rw,relatime,size=241816k,nr_inodes=60454,mode=755 freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/pts dir=/dev/pts type=devpts opts=rw,relatime,mode=600,ptmxmode=000 freq=0 passno=0
libguestfs: trace: umount_all = 0
libguestfs: trace: list_filesystems
libguestfs: trace: feature_available "lvm2"
libguestfs: trace: internal_feature_available "lvm2"
guestfsd: main_loop: proc 47 (umount_all) took 0.42 seconds
guestfsd: main_loop: new request, len 0x30
libguestfs: trace: internal_feature_available = 0
libguestfs: trace: feature_available = 1
libguestfs: trace: feature_available "ldm"
libguestfs: trace: internal_feature_available "ldm"
guestfsd: main_loop: proc 458 (internal_feature_available) took 0.00 seconds
guestfsd: main_loop: new request, len 0x30
libguestfs: trace: internal_feature_available = 1
libguestfs: trace: feature_available = 0
libguestfs: trace: list_devices
guestfsd: main_loop: proc 458 (internal_feature_available) took 0.00 seconds
guestfsd: main_loop: new request, len 0x28
libguestfs: trace: list_devices = ["/dev/sda"]
libguestfs: trace: list_partitions
guestfsd: main_loop: proc 7 (list_devices) took 0.00 seconds
guestfsd: main_loop: new request, len 0x28
libguestfs: trace: list_partitions = ["/dev/sda1", "/dev/sda2", "/dev/sda3"]
libguestfs: trace: list_md_devices
guestfsd: main_loop: proc 8 (list_partitions) took 0.00 seconds
guestfsd: main_loop: new request, len 0x28
libguestfs: trace: list_md_devices = []
libguestfs: trace: part_to_dev "/dev/sda1"
guestfsd: main_loop: proc 300 (list_md_devices) took 0.00 seconds
guestfsd: main_loop: new request, len 0x38
libguestfs: trace: part_to_dev = "/dev/sda"
libguestfs: trace: part_to_dev "/dev/sda2"
guestfsd: main_loop: proc 272 (part_to_dev) took 0.00 seconds
guestfsd: main_loop: new request, len 0x38
guestfsd: main_loop: proc 272 (part_to_dev) took 0.00 seconds
libguestfs: trace: part_to_dev = "/dev/sda"
libguestfs: trace: part_to_dev "/dev/sda3"
guestfsd: main_loop: new request, len 0x38
guestfsd: main_loop: proc 272 (part_to_dev) took 0.00 seconds
libguestfs: trace: part_to_dev = "/dev/sda"
libguestfs: trace: vfs_type "/dev/sda1"
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda1
libguestfs: trace: vfs_type = "swap"
libguestfs: trace: vfs_type "/dev/sda2"
guestfsd: main_loop: proc 198 (vfs_type) took 0.12 seconds
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda2
libguestfs: trace: vfs_type = "ext4"
libguestfs: trace: vfs_type "/dev/sda3"
guestfsd: main_loop: proc 198 (vfs_type) took 0.12 seconds
guestfsd: main_loop: new request, len 0x38
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: blkid -c /dev/null -o value -s TYPE /dev/sda3
libguestfs: trace: vfs_type = "ext4"
libguestfs: trace: lvs
guestfsd: main_loop: proc 198 (vfs_type) took 0.12 seconds
guestfsd: main_loop: new request, len 0x28
commandrvf: stdout=y stderr=y flags=0x0
commandrvf: lvm lvs --help
  Invalid units specification
guestfsd: error: lvm lvs --help:   Invalid units specification
guestfsd: main_looplibguestfs: trace: lvs = NULL (error)
libguestfs: trace: list_filesystems = NULL (error)
libguestfs: trace: inspect_os = NULL (error)
virt-customize: error: libguestfs error: lvs: lvm lvs --help:   Invalid
units specification
libguestfs: trace: close
libguestfs: closing guestfs handle 0x1601d40 (state 2)
libguestfs: trace: internal_autosync
: proc 11 (lvs) took 0.15 seconds
guestfsd: main_loop: new request, len 0x28
umount-all: /proc/mounts: fsname=rootfs dir=/ type=rootfs opts=rw freq=0 passno=0
umount-all: /proc/mounts: fsname=proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/root dir=/ type=ext2 opts=rw,noatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/proc dir=/proc type=proc opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=/sys dir=/sys type=sysfs opts=rw,relatime freq=0 passno=0
umount-all: /proc/mounts: fsname=tmpfs dir=/run type=tmpfs opts=rw,nosuid,relatime,size=97696k,mode=755 freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev dir=/dev type=devtmpfs opts=rw,relatime,size=241816k,nr_inodes=60454,mode=755 freq=0 passno=0
umount-all: /proc/mounts: fsname=/dev/pts dir=/dev/pts type=devpts opts=rw,relatime,mode=600,ptmxmode=000 freq=0 passno=0
fsync /dev/sda
libguestfs: trace: internal_autosync = 0
libguestfs: calling virDomainDestroy flags=0
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsZa4G3s
libguestfs: command: run: rm
libguestfs: command: run: \ -rf /tmp/libguestfsPX8HeE
Comment 2 Richard W.M. Jones 2017-08-04 04:08:23 EDT
You need to upgrade lvm2 on the host to >= 2.02.171.
(There's a missing dependency in the libguestfs package)

*** This bug has been marked as a duplicate of bug 1475018 ***

Note You need to log in before you can comment on or make changes to this bug.